import { IGateway } from './IGateway';
import { ILocation } from './ILocation';
import { IPackage } from './IPackage';
import { IThetaPhiRssi } from './IThetaPhiRssi';
import { IThetaPhiRssiLog } from './IThetaPhiRssiLog';
export declare class Algorithm {
    constructor(gateways: IGateway[], beaconHeight: number);
    calcAoa(buff: ArrayBuffer): IThetaPhiRssi;
    calcAoaAsync(buff: ArrayBuffer): Promise<IThetaPhiRssi>;
    calcAoaWithLog(buff: ArrayBuffer): IThetaPhiRssiLog;
    locate(package: IPackage): ILocation[];
    setParams(params: string): void;
    addZone(id: string, mapId: string, points: number[][]): void;
    setBeaconParams(mac: string, beaconHeight: number, params: string): void;
    setSmoothLevel(level: number): void;
    calcRssi(buff: ArrayBuffer): number;
    setAntennaPos(aps: number[][]): void;
}
export declare class AoaRssiCombiner {
    constructor(gateways: IGateway[], beaconHeight: number);
    locateCombiner(sMac: string, location: ILocation): ILocation;
    addZone(id: string, mapId: string, points: number[][]): void;
}
